<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Order Rejected History</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row row">
              <div class="col-xs-4 autocomplete-field-container">
                <div>
                  <mat-chip-list #chipList2>
                    <mat-chip *ngFor="let order of ordersFilter" [selectable]="selectable" [removable]="removable"
                      (removed)="removeOrder(order)" style="font-size:10px;">
                      {{order}}
                      <mat-icon matChipRemove *ngIf="removable" class="fa fa-times-circle"></mat-icon>
                    </mat-chip>
                    <div style="position:relative; width: 100%; height: 40px;">
                      <input style="width: 100%; margin: 0px; flex: 1 0 150px;" class="form-control"
                        [formControl]="orderCtrl" placeholder="Enter Order Id" [matChipInputFor]="chipList2"
                        [matAutocomplete]="auto3">
                    </div>
                  </mat-chip-list>
                  <mat-autocomplete #auto3="matAutocomplete" [displayWith]="displayFnOrderId"
                    (optionSelected)="orderIdselected($event)">
                    <mat-option *ngFor="let orderId of allOrderIddata" [value]="orderId">
                      {{orderId.unique_order_id}}
                    </mat-option>
                    <mat-option *ngIf="allOrderIddata=='' && allOrderIddata!.length == 0">No
                      Matches Found</mat-option>
                  </mat-autocomplete>
                </div>
              </div>
              <div class="col-xs-2">
                <mat-select [(ngModel)]="current_order_status" name="current_order_status" class="form-control"
                  placeholder="Order Status">
                  <mat-option value="">Select Order Status</mat-option>
                  <mat-option value="search_for_driver">Search For Driver</mat-option>
                  <mat-option value="accepted_by_driver">Accepted</mat-option>
                  <mat-option value="trip_started">In Progress</mat-option>
                  <mat-option value="scheduled_trip">Scheduled Trip</mat-option>
                  <mat-option value="canceled">Canceled</mat-option>
                  <mat-option value="completed" selected>Completed</mat-option>
                  <mat-option value="order_timed_out">Order timed out</mat-option>
                </mat-select>
              </div>
              <div class="col-xs-2 custom-position">
                <input [(ngModel)]="selectedMoment" name="start_date" [max]="max" [owlDateTimeTrigger]="dtPicker1"
                  [owlDateTime]="dtPicker1" placeholder="Start Date" class="form-control"
                  (click)="checkShiftstartTime()">
                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"
                  (click)="checkShiftstartTime()"></i>
                <owl-date-time #dtPicker1></owl-date-time>
              </div>
              <div class="col-xs-2 custom-position">
                <input [(ngModel)]="selectedMoment1" name="end_date" [min]="selectedMoment"
                  [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End Date" class="form-control"
                  (click)="checkShiftstartTime1()">
                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"
                  (click)="checkShiftstartTime1()"></i>
                <owl-date-time #dtPicker2></owl-date-time>
              </div>
              <div class="col-sm-2 col-md-2 text-center">
                <div class="icons">
                  <a [ngStyle]="{ 'color' : statusColor('dispatcher')}" (click)="colorFilter('dispatcher')"
                    matTooltip="Dispatcher"><i aria-hidden="true" class="fa fa-headphones"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('kiosk')}" (click)="colorFilter('kiosk')" matTooltip="KIOSK"><i aria-hidden="true"
                      class="fa fa-desktop"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('customer')}" (click)="colorFilter('customer')"
                    matTooltip="Customer"><i aria-hidden="true" class="fa fa-user"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('website')}" (click)="colorFilter('website')"
                    matTooltip="Website"><i aria-hidden="true" class="fa fa-globe"></i></a>
                </div>
              </div>
            </div>
            <div class="fm-row row">
              <div class="col-sm-9"></div>
              <div class="col-sm-3">
                <span matTooltip="CSV">
                  <img src="assets/img/csv.png" (click)="getconstantsforcsv()"  alt="csv"/>
                </span>
                <button (click)="getOrders()" class="btn btn-sm btn-primary blue">
                  <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                <button class="btn btn-sm btn-primary red" (click)="reset()">
                  <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters </button>
              </div>
            </div>
            <div class="ibox-content">
              <div *ngIf="orderLength>0">Total records :{{orderLength}}</div>
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped driver-listing table-bordered zoom">
                  <thead>
                    <tr>
                      <th scope="col">ID
                      <th scope="col">Customer Name/<br>Customer Phone Number/<br>Customer email</th>
                      <th scope="col">Source/
                        <br>Start Time/
                        <br>Destination/
                        <br>Stop Time/
                        <br>Distance</th>
                      <th scope="col">Driver/
                        <br>Accept time/
                        <br>Rating/
                        <br>Feedback</th>
                      <th scope="col">Vehichle/
                        <br>Vehicle Plate/
                        <br>Vehicle Side Number
                      </th>
                      <th scope="col">
                        Rejected List
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let order of orderData">
                      <td>
                        <span>{{order.unique_order_id ? order.unique_order_id : 'NA'}}
                        </span>
                        <br />
                      </td>
                      <td (click)="!order.user_id || customerDetails(order.user_id)"
                        [ngClass]="{'customerLink':order.user_id}">
                        <span>
                          {{order.user_id && order.user_id.firstname ?
                                    order.user_id.firstname: 'Offline Customer'}}
                        </span>
                        <br>
                        <span>
                          {{order.user_id && order.user_id.phone_number ?
                                    order.user_id.phone_number: ''}}
                        </span>
                        <br>
                        <span>
                          {{order.user_id && order.user_id.email ?
                                    order.user_id.email: ''}}
                        </span>
                      </td>
                      <td>
                        <span>{{order.pickup_location}} </span>
                        <br>
                        <br>
                        <span>{{order.sync_trip_id!=null ?
                                    order.sync_trip_id.start_trip_calendar ?
                                    order.sync_trip_id.start_trip_calendar :'NA' :'NA'}} </span>
                        <br>
                        <br>
                        <span>{{order.drop_location}} </span>
                        <br>
                        <br>
                        <span>{{order.sync_trip_id!=null
                                    ?order.sync_trip_id.finished_trip_calendar?
                                    order.sync_trip_id.finished_trip_calendar:'NA':'NA'}} </span>
                        <br>
                        <br>
                        <span>{{order.sync_trip_id ?
                                    order.sync_trip_id.total_distance_travelled :
                                    order.distance}}
                        </span>
                        <br>
                        <br>
                      </td>
                      <td>
                        <span>{{order.driver_id ? order.driver_id.username: ' NA '}} </span>
                        <br>
                        <br>

                        <span> {{order.accept_time?order.accept_time:"NA"}} </span>
                        <br>
                        <br>
                        <br>
                        <br>
                      </td>
                      <td>
                        <span> {{order.vehicle_id ? order.vehicle_id.display_name: 'NA '}}
                        </span>
                        <br>
                        <span *ngIf="order.vehicle_id!=null">( {{order.vehicle_id ?
                                    order.vehicle_id.vehicle_unique_id: 'NA '}})</span>
                        <br>
                        <span *ngIf="order.vehicle_id!=null">{{order.vehicle_id.plate_number
                                    ? order.vehicle_id.plate_number: 'NA
                                    '}}
                        </span>
                        <br>
                        <span *ngIf="order.vehicle_id!=null">{{order.vehicle_id.vehicle_identity_number
                                    ? order.vehicle_id.vehicle_identity_number:
                                    'NA '}}</span>
                      </td>
                      <td *ngIf='order.ExtraDetail.length==0'>
                        No Rejected Drivers
                      </td>
                      <td *ngIf='order.ExtraDetail.length>0'>
                        <table aria-describedby="Manage Company" class="table table-bordered small">
                          <tr>
                            <th scope="col">Driver/<br>Vehicle/<br>Device</th>
                            <th scope="col">Phone number</th>
                            <th scope="col">Status & reason</th>
                            <th scope="col">Date & Time</th>
                          </tr>
                          <tr *ngFor="let drive of order.ExtraDetail">
                            <td
                              [ngStyle]="{'font-weight':order.driver_id?order.driver_id.username==drive.driver_id.username?'bold':'normal':'normal'}">
                              {{drive.driver_id.username}}<br>
                              {{drive.vehicle_id.vehicle_identity_number}}<br>
                              {{drive.device_id.unique_device_id}}
                            </td>
                            <td>
                              {{drive.driver_id.phone_number?drive.driver_id.phone_number:(drive.driver_id.formatted_phone_number?drive.driver_id.formatted_phone_number:'NA')}}<br>
                            </td>
                            <td>
                              <span *ngIf="!drive.order_accept_reject==5">
                                <span>Order Timeout </span>
                                <span *ngIf="drive.order_reject_reason!=='_'">{{drive.order_reject_reason}}</span>
                              </span>
                              <span *ngIf="drive.order_accept_reject==1">
                                <span>Trip Accepted</span>
                                <span *ngIf="drive.order_reject_reason!=='_'">{{drive.order_reject_reason}}</span>
                              </span>
                              <span *ngIf="drive.order_accept_reject==2">
                                <span>Trip Rejected</span>
                                <span *ngIf="drive.order_reject_reason!=='_'">{{drive.order_reject_reason}}</span>
                              </span>
                              <span *ngIf="drive.order_accept_reject==3">
                                <span>Trip Rejected After Accept</span>
                                <span *ngIf="drive.order_reject_reason!=='_'">{{drive.order_reject_reason}}</span>
                              </span>
                              <span *ngIf="drive.order_accept_reject==4">
                                <span>Trip Rejected (waiting for customer)</span>
                                <span *ngIf="drive.order_reject_reason!=='_'">{{drive.order_reject_reason}}</span>
                              </span>
                            </td>
                            <td>
                              {{drive.created_at}}
                            </td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>
              <div class="container-fluid" *ngIf="orderLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div>
                      <ngb-pagination [collectionSize]="orderLength" (pageChange)="pagingAgent($event)"
                        [(page)]="pageNo" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="orderLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<style>
  .dd-option-image,
  .dd-selected-image {
    vertical-align: middle;
    float: left;
    margin-right: 5px;
    width: 35px;
    height: 35px;
    border-radius: 50%;
  }

  ul.dd-options.dd-click-off-close {
    width: 200px !important;
  }
</style>